Bug 133815 - FILESAVE DOC Input fields not editable
Summary: FILESAVE DOC Input fields not editable
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Fields
  Show dependency treegraph
 
Reported: 2020-06-09 10:28 UTC by Timur
Modified: 2022-08-03 03:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Document compared as ODT, DOC in LO, DOC in MSO (88.15 KB, image/png)
2020-06-09 10:28 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-06-09 10:28:27 UTC
Created attachment 161797 [details]
Document compared as ODT, DOC in LO, DOC in MSO

This is DOC bug for export and import of Writer input fields, that were resolved in bug 128460 and bug 125103 for DOCX.

Open simple ODT attachment 151155 [details] and save as DOC. 
Open both in LO (looks good but is wrong, cannot be edited) and MSO (no field).
Comment 1 Telesto 2020-08-01 15:18:41 UTC
This about two different problems, so two bugs IMHO.

1. The field is visible in Office 2003 (not sure if it behaves as expected) 
2. Field can't be edited after export and re-import (seen in LibO 7.1 6.0 4.4.7.2 4.2)
3. Not sure how to create such field from scratch (tried to replicate, but had quite some issues with field editor. And if I got something.. it got blank on export to DOC (and reopen in LibreOffice). 
4. Not even sure if there is a limited list of allowed field types for DOC. It looks pretty predefined in Word 2003 (based on my superficial observations). However surely not known to much about fields
Comment 2 Buovjaga 2020-08-02 13:05:21 UTC
Repro with file.

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 869ef9f2118158222032964a5b24ae7d760b84e9
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 31 July 2020
Comment 3 QA Administrators 2022-08-03 03:30:54 UTC
Dear Timur,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug